//校验手机号的有效性
export function phone(val) {
	//手机号正则
	var phoneReg = /(^1[3|4|5|7|8|9]\d{9}$)|(^09\d{8}$)/;
	//电话
	if (!phoneReg.test(val)) {
		throw "手机号码不正确";
		return false;
	}
	return true;
}


//是否为空
export function empty(val){	
	if(val=="" ||val==null||typeof(val)==undefined){
		return true;
	}
	return false;
}


//不为空
export function required(val, name=""){	
	if(empty(val)){
		throw name+"不为空";
		return false;
	}
	return true;
}

export default {
	phone,
	empty,
	required
}